#### D.16.1.6 lowerHomogeneitySpace

`Syntax:`
  `lowerHomogeneitySpace(` poly g `)`
  `lowerHomogeneitySpace(` ideal I `)`
`Type:`
  cone
`Purpose:`
  the cone of all weight vectors with non-positive first entry with respect to whom g or I is homogeneous.
`Example:`

      LIB "gfanlib.so";
      ring r = integer,(t,x,y,z),dp;
      poly g = tx+t2y;
      cone homogSpace = lowerHomogeneitySpace(g);
      rays(homogSpace);
      ==> -2,-1,1,0
      generatorsOfLinealitySpace(homogSpace);
      ==> 0,-1,-1, 0,
      ==> 0, 0, 0,-1

      ideal I = tx+y, t2y+z;
      homogSpace = lowerHomogeneitySpace(I);
      rays(homogSpace);
      ==> -3,4,1,-5
      generatorsOfLinealitySpace(homogSpace);
      ==> 0,-1,-1,-1

User manual for Singular version 4-0-3, 2016, generated by texi2html.